package com.bjtdba.merchant.dao;

import com.bjtdba.merchant.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface UserDao {

//    int deleteByPrimaryKey(Integer uid);

//    int insert(User record);

    /**
     * 添加用户信息 返回用户uid
     * @param user
     * @return uid
     */
    int addSave(User user);

    User selectByphone(String phone);

    int selectByMerId(int mer_id, String start_time, String end_time);

    User selectByUid(Integer uid);
//
//    int updateByPrimaryKeySelective(User record);
//
//    int updateByPrimaryKey(User record);

}
